68 votes

Handler « aspNetCore » a un mauvais module « AspNetCoreModuleV2 » dans sa liste de modules

<p>J’ai utilisé angulaire .net core 2.2 modèle pour créer une application. Dans localhost bien de travail, Quand j’héberge à IIS Im obtenir cette erreur. Im utilisation d’IIS 10 pour héberger l’application.</p> <p>Erreur</p> <p>Erreur HTTP 500.21 - Erreur du serveur interne Handler « aspNetCore » a un mauvais module « AspNetCoreModuleV2 » dans sa liste de modules</p>

35voto

<p>Installez le package d’exécution .Net Core 2.2 sur la machine d’hébergement.</p> <p>Ou</p> <p>Publiez votre projet comme autonome.</p>

25voto

Zack Evans Points 259
<p>En supprimant V2 de modules ="AspNetCoreModuleV2 » a travaillé pour moi. Notez que mon problème était lié à l’exécution d’une api web de base .net à partir de visual studio. IE Express a échoué avec un code 500 et lors de l’enquête sur le journal d’erreurs décrivant « Handler 'aspNetCore' a un mauvais module.. » a été résolu par le remplacement ci-dessous.<pre><code></code></pre></p>

6voto

alans Points 882
<p>Il ya quelques façons que vous pouvez résoudre ce problème:<ol> <li>Installer le dernier .NET Core Runtime </li> <li>Inspectez le <code></code> fichier utilisé par votre IIS. Vous devez avoir l’entrée suivante dans ses emplacements appropriés :</li> </ol><pre><code></code></pre><p>Assurez-vous simplement d’avoir le fichier pour <code></code> dans votre répertoire de bac IIS.</p></p>

Prograide.com

Prograide est une communauté de développeurs qui cherche à élargir la connaissance de la programmation au-delà de l'anglais.
Pour cela nous avons les plus grands doutes résolus en français et vous pouvez aussi poser vos propres questions ou résoudre celles des autres.

Powered by:

X